# Class StringUtil

java.lang.Object
bsh.StringUtil

public class StringUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`StringUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String[]`
`bubbleSort(String[] in)`
`static String`
`maxCommonPrefix(String one, String two)`
`static String`
`methodString(String name, Class[] types)`
`static String`
`normalizeClassName(Class type)`
Hack - The real method is in Reflect.java which is not public.
`static String[]`
`split(String s, String delim)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringUtil

public StringUtil()

## Method Details

### split

public static String[] split(String s, String delim)

### bubbleSort

public static String[] bubbleSort(String[] in)

### maxCommonPrefix

public static String maxCommonPrefix(String one, String two)

### methodString

public static String methodString(String name, Class[] types)

### normalizeClassName

public static String normalizeClassName(Class type)
Hack - The real method is in Reflect.java which is not public.